This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 73261 - XFree86-base-fonts should run fc-cache in %post
XFree86-base-fonts should run fc-cache in %post
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-09-01 20:40 EDT by Owen Taylor
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-20 05:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2002-09-01 20:40:27 EDT
(Should have filed this earlier so we could get in -70 :-()

XFree86-base-fonts should have:

PreReq: /usr/bin/fc-cache

And in %post

 fc-cache

(No arguments)

We're doing this for all the other font packages and it is necessary
for efficient operation of fontcontconfig.

We aren't doing anything in %postun currently.
Comment 1 Mike A. Harris 2002-12-14 11:57:53 EST
This has been in rawhide X for a while but I forgot to update the bug report.
I'm going to leave it open for now, as I'd like to add it to 4.2.1 erratum
too, but am too lazy to do it right this second.  ;o)  I just spotted the bug
report and wanted to comment.
Comment 2 Mike A. Harris 2002-12-20 05:42:45 EST
Closing as RAWHIDE
Comment 3 Mike A. Harris 2002-12-20 06:13:36 EST
Was fixed ages ago in rawhide, I've added it to 4.2.1 as well.

Note You need to log in before you can comment on or make changes to this bug.